Skip to content

Get Log Index List



GET /api/v1/metric_info/log/indexes

Overview

Get a list of all log indexes

Query Request Parameters

Parameter Name Type Required Description
limit integer Limit the number of returned results, default is 100
Allow empty: True
$default: 100
offset integer Offset for pagination, default is 0
Allow empty: True
$default: 0

Parameter Supplementary Description

Get the log index list, supports pagination.

  • The API internally reuses the index filtering logic of log_index_cfg.list
  • Fixed filter condition: isBindCustomStore=false
  • Fixed filter condition: queryType=logging,standard
  • The returned results only retain the name field of the log index object

Request Example

curl -k 'https://openapi.truewatch.com/api/v1/metric_info/log/indexes?limit=10&offset=0' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--compressed

Response

{
    "code": 200,
    "content": {
        "data": [
            {
                "name": "a-123"
            },
            {
                "name": "aus7"
            },
            {
                "name": "dbindex"
            },
            {
                "name": "front_backend"
            },
            {
                "name": "gary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary-testgary"
            },
            {
                "name": "hdt_0121_12321-------"
            },
            {
                "name": "hdt_0325_2_no_key"
            },
            {
                "name": "hdt_0625_s_index_1"
            },
            {
                "name": "hdt_0722_i2_off"
            },
            {
                "name": "hdt_0723_cn1_index_1"
            }
        ],
        "declaration": {
            "business": "",
            "organization": "663dbba102482200070bbb02"
        }
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "69ba6c7800000000519924e2a972444f"
}